# Uses of Class
net.shibboleth.idp.saml.profile.impl.IdPInitiatedSSORequest

Packages that use IdPInitiatedSSORequest
Package
Description
net.shibboleth.idp.saml.profile.impl
Actions common to SAML 1 and SAML 2 processing.
net.shibboleth.idp.saml.saml2.profile.impl
Profile processing actions related to SAML 2 messages.

## Uses of IdPInitiatedSSORequest in net.shibboleth.idp.saml.profile.impl

Methods in net.shibboleth.idp.saml.profile.impl that return IdPInitiatedSSORequest
Modifier and Type
Method
Description
`protected IdPInitiatedSSORequest`
BaseIdPInitiatedSSORequestMessageDecoder.`buildIdPInitiatedSSORequest()`
Build a new IdP-initiated request structure from the inbound HTTP request.

## Uses of IdPInitiatedSSORequest in net.shibboleth.idp.saml.saml2.profile.impl

Fields in net.shibboleth.idp.saml.saml2.profile.impl declared as IdPInitiatedSSORequest
Modifier and Type
Field
Description
`private IdPInitiatedSSORequest`
IdPInitiatedSSORequestMessageDecoder.`ssoRequest`
The IdP-initiated request structure parsed from the inbound request.
Methods in net.shibboleth.idp.saml.saml2.profile.impl that return IdPInitiatedSSORequest
Modifier and Type
Method
Description
`protected IdPInitiatedSSORequest`
IdPInitiatedSSORequestMessageDecoder.`getIdPInitiatedSSORequest()`
Get the internally constructed instance of `IdPInitiatedSSORequest`.